Loading...
Searching...
No Matches
AVVAAPIHWConfig Struct Reference

VAAPI hardware pipeline configuration details. More...

`#include <libavutil/hwcontext_vaapi.h>`

## Data Fields

VAConfigID | config_id
| ID of a VAAPI pipeline configuration.

## Detailed Description

VAAPI hardware pipeline configuration details.

Allocated with av_hwdevice_hwconfig_alloc().

Definition at line 110 of file hwcontext_vaapi.h.

## Field Documentation

## config_id

VAConfigID AVVAAPIHWConfig::config_id

ID of a VAAPI pipeline configuration.

Definition at line 114 of file hwcontext_vaapi.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_vaapi.h